# Uses of Enum
org.eclipse.mat.hprof.ui.HprofPreferences.HprofStrictness

Packages that use HprofPreferences.HprofStrictness
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof.ui
User interface for HPROF parser configuration.

## Uses of HprofPreferences.HprofStrictness in org.eclipse.mat.hprof

Constructors in org.eclipse.mat.hprof with parameters of type HprofPreferences.HprofStrictness
Modifier
Constructor
Description
``
`HprofRandomAccessParser(File file, String prefix, Version version, int identifierSize, long len, HprofPreferences.HprofStrictness strictnessPreference)`
``
`Pass1Parser(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference)`
``
`Pass2Parser(IHprofParserHandler handler, SimpleMonitor.Listener monitor, HprofPreferences.HprofStrictness strictnessPreference, long streamLength, boolean parallel)`

## Uses of HprofPreferences.HprofStrictness in org.eclipse.mat.hprof.ui

Fields in org.eclipse.mat.hprof.ui declared as HprofPreferences.HprofStrictness
Modifier and Type
Field
Description
`static final HprofPreferences.HprofStrictness`
HprofPreferences.`DEFAULT_STRICTNESS`
Default strictness for preferences and value parsing
Methods in org.eclipse.mat.hprof.ui that return HprofPreferences.HprofStrictness
Modifier and Type
Method
Description
`static HprofPreferences.HprofStrictness`
HprofPreferences.`getCurrentStrictness()`
Return the currently selected preference for strictness.
`static HprofPreferences.HprofStrictness`
HprofPreferences.HprofStrictness.`parse(String value)`
Given a stored preference value, return the enumeration value, or otherwise the default strictness.
`static HprofPreferences.HprofStrictness`
HprofPreferences.HprofStrictness.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HprofPreferences.HprofStrictness[]`
HprofPreferences.HprofStrictness.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.